Subject: Re: [bug#40326] Remove deprecated packages

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 31 Mar 2020 16:59:37 -0400

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello Leo and Raghav,
>
> Leo Famulari <[email-masked]> writes:
>
>> On Mon, Mar 30, 2020 at 05:03:42PM +0000, Raghav Gururajan wrote:
>>> Hello Guix!
>>>
>>> Please find the attached patch to remove deprecated package-definitions of bctoolbox and ortp.
>>
>> These packages haven't been deprecated, as I understand it. That would
>> mean they had been defined with the deprecated-package procedure for a
>> while.
>
> I think it's hard to understand why this is done here without context.
>
> Raghav has started working on packaging Linphone and has made new
> definitions for bctoolbox and ortp in a new (gnu packages linphone)
> module.
>
> So these packages are going to be moved rather than be outright
> removed.
>
> Raghav, for backward compatibility, when me move or rename a package, we
> bind the deprecated symbols using the define-deprecated macro (from
> (guix deprecation)).
>
> In this case, it'd look like, for example:
>
> (define-deprecated btcoolbox linphone:bctoolbox)
>
> For an actual example, you can "git show 8ab060b68b3".
>
> Maxim

Sorry, it seems I was wrong about this.  A simple move of a package
definition does not warrant defining deprecation symbols (thanks
Tobias).

The packages should only be removed after (or better yet -- at the same
time) their replacement are added, to prevent breaking someone's
manifest.

Maxim